1. Portfolio
Bitpanda API
  • REST API
    • Overview
    • API key generation
    • Migrating from the legacy API
    • Endpoints
      • Quotes
        • Create a trading quote
        • Accept a trading quote
      • Portfolio
        • Get portfolio overview
          GET
        • Get portfolio performance history
          GET
      • Operations
        • List operations
      • Currencies
        • List available currencies
      • Assets
        • List available assets
      • Earn
        • Execute an earn action (stake or unstake)
        • List earn asset configurations
      • Tickers
        • Get the ticker for a given asset
      • Trading Limits
        • Get current trading limits and remaining budget
        • Set daily trading volume limits for this API key
    • Schemas
      • CreateQuoteRequest
      • CreateQuoteResponse
      • QuoteDetailResponse
      • SingleItemResponseCreateQuoteResponse
      • AcceptQuoteExecutionResponse
      • AcceptQuoteResponse
      • AcceptQuoteTaxResponse
      • SingleItemResponseAcceptQuoteResponse
      • EarnActionRequest
      • EarnActionResponse
      • SingleItemResponseEarnActionResponse
      • SingleItemResponseTickerResponse
      • TickerResponse
      • ListItemResponsePortfolioPositionResponse
      • MoneyResponse
      • PortfolioPositionResponse
      • Data
      • Datapoint
      • PortfolioHistoryResponse
      • CompensatesInfoResponse
      • OperationResponse
      • OperationTransactionResponse
      • PaginatedListItemResponseOperationResponse
      • TradeResponse
      • EarnAssetConfigResponse
      • PaginatedListItemResponseEarnAssetConfigResponse
      • CurrencyResponse
      • ListItemResponseCurrencyResponse
      • AssetResponse
      • PaginatedListItemResponseAssetResponse
  • MCP Server
    • Getting Started
  • Rate Limits
    • API and MCP Rate Limits
  • Feedback & Support
    • Community Hub
  1. Portfolio

Get portfolio performance history

GET
/v1/portfolio-history

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.public.bitpanda.com/v1/portfolio-history?equivalent_currency_id=ea96ccef-edee-11eb-9bf0-06502b1fe55d&timeframe=WEEK' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
*/*
Portfolio performance history for the authenticated user
Body*/*

Example
{
    "data": {
        "datapoints": [
            {
                "time": "2019-08-24T14:15:22.123Z",
                "value": {
                    "value": "string",
                    "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
                    "currency_id": "305e0674-ee79-42b7-bf83-278294a47a7b"
                }
            }
        ],
        "return_percentage": "string"
    }
}
Modified at 2026-08-03 13:07:26
Previous
Get portfolio overview
Next
List operations
Built with